PHP Manual
Prev |  | Next

# imap_mime_header_decode

(PHP 3 >= 3.0.17, PHP 4, PHP 5)

imap_mime_header_decode -- Decode MIME header elements

## Description

array imap_mime_header_decode ( string text )

Decodes MIME message header extensions that are non ASCII text (see RFC2047).

## Parameters

`text`

  The MIME text

## Return Values

The decoded elements are returned in an array of objects, where each object has two properties, `charset` and `text`.

If the element hasn't been encoded, and in other words is in plain US-ASCII, the `charset` property of that element is set to `default`.

## Examples

Example 1. imap_mime_header_decode() example

`<?php $text = "=?ISO-8859-1?Q?Keld_J=F8rn_Simonsen?= <keld@example.com>"; $elements = imap_mime_header_decode($text); for ($i=0; $i<count($elements); $i++) { echo "Charset: {$elements[$i]->charset}\n"; echo "Text: {$elements[$i]->text}\n\n"; } ?>`

The above example will output:

    Charset: ISO-8859-1
    Text: Keld Jørn Simonsen

    Charset: default
    Text:  <keld@example.com>

In the above example we would have two elements, whereas the first element had previously been encoded with ISO-8859-1, and the second element would be plain US-ASCII.

## See Also

imap_utf8()

Prev | Home | Next
imap_mailboxmsginfo | Up | imap_msgno